#!/usr/bin/python
import sys

ImageModuleAvailable=True

try:
	from PIL import Image
except ImportError, error:
	print("WARNING")
	print("Not able to import Python Imaging libraries.  Jpeg comments will not be available")
	print("")
	ImageModuleAvailable=False

def read_comments(file):
	if ImageModuleAvailable:
		n=Image.open(file) # minus \n
		return n.app.get("COM","").rstrip("\n\r ")
	else:
		return ""

# library test/debug function (dump given files)
if __name__ == "__main__":
    if len(sys.argv) < 2:
        print 'Usage: %s files...\n' % sys.argv[0]
        sys.exit(0)
        
    for filename in sys.argv[1:]:
        print read_comments(filename)
