#!/usr/bin/python
from libdesklets.controls import Interface, Permission

class IImageSlideShow(Interface):
	image_uri = Permission.READWRITE
	iptc_meta_data = Permission.READ
	exif_meta_data = Permission.READ
	image_caption = Permission.READ
	image_directory = Permission.READWRITE
	next_image = Permission.READ
	prev_image = Permission.READ
	random_images = Permission.READWRITE
	image_timer = Permission.READWRITE
	image_refresh = Permission.READ
	thumbnail_uri = Permission.READ
	thumbnail_size = Permission.READWRITE
	launch = Permission.WRITE

